Bug Tracker – Bug 529

Dehacked music replacement doesn't work

Last modified: 2014-03-20 00:21:21 CDT
Bug 529 - (ARRAY(0x5c11468)) Dehacked music replacement doesn't work
(ARRAY(0x5c11468))
Dehacked music replacement doesn't work
Status: REOPENED
Product: Odamex
Classification: Unclassified
Component: Server & Client
(old) 0.4
All All
: P2 normal
Depends on:
Blocks: ARRAY(0x43843d0)
  Show dependency tree
 
Reported: 2009-01-03 22:02:31 CST by doomgod
Modified: 2014-03-20 00:21 CDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description doomgod 2009-01-03 22:02:31 CST
A good example is Plutonia 2. It plays music from IWAD.
Comment 1 Russell Rice 2009-01-27 02:51:14 CST
Thanks, fixed in r529
Comment 2 Russell Rice 2009-01-27 02:51:48 CST
er, sorry r1215
Comment 3 Russell Rice 2009-01-28 01:50:54 CST
fixed in r1215 (closing)
Comment 4 Russell Rice 2009-04-21 11:47:55 CDT
refixed in r1251 for msvc
Comment 5 doomgod 2010-04-10 07:00:46 CDT
Still doesn't work for me.

I also tried a simple patch:

Text 6 6
runninstalks

and had no luck...
Comment 6 Russell Rice 2010-08-01 04:20:57 CDT
Not enough info supplied, unless of course you mean the TITLE SCREEN MUSIC, otherwise the level music plays fine

I also noticed that the intermission and finale music doesn't get replaced (also the background images for the last "text cluster" just before the finale itself doesn't get replaced either)

This immediately points to how useless/incomplete our dehacked system is, props go to zdoom 1.22 for that.